:root{
    --primary:#0A4F5B;
    --primary-dark:#07363E;
    --secondary:#3F8A9A;
    --accent:#E0AA3E;
    --accent-hover:#C8922D;
    --light:#F5F7F7;
    --soft:#8BB7B1;
    --black:#484848;
}

*{
    font-family: "Inter Tight", sans-serif;
    color: var(--black);
    
}

html{
    scroll-behavior: smooth;
}


/* Menu */
.navbar{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color:white;
    box-shadow: 0 2px 8px rgba(0,0,0,0.08);
    z-index:1000;
    backdrop-filter: blur(10px);
}

.logo-navbar{
    height:100px;
    width:auto;
    margin: 5px 0;
}

.navbar .menu-central .nav-item{
    padding: 0px 20px;
}

.navbar .nav-link{
    color: var(--black);
    font-weight:500;
    font-size:18px;
    transition: transform 0.2s ease;
}

.navbar .nav-link:hover{
    color: var(--soft);
    transform: scale(1.2);
}

.nav-link i{
    color: var(--black);
}

.nav-link i:hover{
    color: var(--soft);
}


/* Geral */
section{
    scroll-margin-top: 136px;
}

.section-main{
    display: block;
}

.section-white{
    background-color: white;
}

.section-offwhite{
    background-color: var(--light);
}

.section-destaque{
    background-color: var(--soft);
}

.titulo-section{
    font-size:16px;
    letter-spacing:3px;
    color:var(--secondary);
    text-align:center;
    width:100%;
}

.subtitulo{
    font-size:32px;
    font-weight: 700;
    text-align:center;
    width:100%;
    color: var(--black)
}

.paragrafo{
    color: var(--black);
    font-size: 18px;
    font-weight: 400;
    text-align: center;
    width: 100%;
}

.texto-destaque{
    color: var(--accent);
}

.conteudo{
    padding: 80px 0;
}

.elementor-button{
    text-decoration:none;
    font-size:17px;
    color:white;
    background-image:linear-gradient(220deg, var(--soft) 0%, var(--secondary) 100%);  
    border-radius:8px;
    padding:18px 45px;
    display:inline-block;
    transition: all 0.3s ease;
    width:fit-content;
    letter-spacing: 2px;
}

.elementor-button:hover{
    transform:translateY(-3px);
    box-shadow:0 10px 25px rgba(0,0,0,0.15);
}

.section-divider {
    position: relative;
    height: 60px;
    background-color: white; /* cor da próxima seção */
}

.section-divider::before {
    content: "";
    position: absolute;
    top: -1px;
    left: 50%;
    transform: translateX(-50%);
    
    width: 0;
    height: 0;
    
    border-left: 50px solid transparent;
    border-right: 50px solid transparent;
    border-top: 50px solid var(--light); 

}

/* ----------------------------------------- */

/* Banner */
.section-banner{
    background-color:var(--light);
    height: calc(100vh - 140px);
    min-height: calc(100vh - 140px);
    margin-top: 136px;
}

.section-banner .container{
    height: 100%;
}

.banner-row{
    height: 100%;
    align-items: center;
}

.banner-itens{
    animation: fadeUp 1s ease;
}

.banner-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.banner-text h1{
    margin-bottom: 15px;
    font-size: 50px;
}

.banner-text p{
    font-size: 17px;
    letter-spacing: 3px;
    margin-bottom: 25px;
}

@keyframes fadeUp{
    from{
        opacity:0;
        transform:translateY(40px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}

.banner-img{
    height:100%;
    display:flex;
    align-items:center;
    justify-content:center;
    overflow: hidden;
}

.banner-img img{
    width:100%;
    height:auto;
    max-height:90vh;
    object-fit: cover;
}

/* ----------------------------------------- */


/* Sobre */
.foto-container{
    position:relative;
    display:inline-block;
}

.foto-container::before{
    content:"";
    position:absolute;
    width:100%;
    height:100%;
    background:var(--soft);
    top:20px;
    left:20px;
    border-radius:20px 80px 20px 80px;
    z-index:1;
}

.foto-sobre{
    width:100%;
    max-height:450px;
    object-fit:cover;
    border-radius:20px 80px 20px 80px;
    box-shadow:0 20px 40px rgba(0,0,0,0.12);
    transition:transform 0.4s ease;
    position:relative;
    z-index:2;
}

.foto-sobre:hover{
    transform:scale(1.03);
}
/* ----------------------------------------- */


/* Serviços */
.link-card{
    color: var(--accent);
    text-decoration: none;
    transition: transform 0.2s ease;
}

.link-card:hover{
    text-decoration: none;
    transform: scale(1.2);
}

.card-body{
    color: var(--black);
}

.card-servico{
    background-color: white;
    border:none;
    border-radius:10px;
    box-shadow:0 8px 18px rgba(0,0,0,0.08);
    padding:15px;
    width: 100%;
    max-width: 420px;
    font-size: 16px;
    

    border-left:3px solid var(--accent);

    transition:all 0.3s ease;
}

.card-servico:hover{
    transform:translateY(-6px);
    box-shadow:0 14px 30px rgba(0,0,0,0.12);
}

.icone-servico{
    width:55px;
    height:55px;
    min-width: 55px;

    border-radius:50%;
    background: rgba(224,170,62,0.12);

    display:flex;
    align-items:center;
    justify-content:center;

    margin-right:16px;
    flex-shrink:0;

    transition:all 0.3s ease;
}

.icone-servico i{
    font-size: 22px;
    color: var(--accent)
}

.card-servico:hover .icone-servico{
    transform:scale(1.1);
}

/* ----------------------------------------- */


.divider {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 40px 0;
}

.divider::before,
.divider::after {
    content: '';
    flex: 1;
    height: 1px;
    background: #ddd;
}

.divider span {
    margin: 0 15px;
    color: #198754;
    font-size: 1.2rem;
}

/* Planos de tratamento */

.processo-card{
    border:none;
    border-radius:10px;
    box-shadow:0 10px 20px rgba(0,0,0,0.08);
    transition:all 0.3s ease;
}

.processo-card:hover{
    transform:translateY(-6px);
    box-shadow:0 18px 35px rgba(0,0,0,0.12);
}

.processo-icone{
    width:65px;
    height:65px;
    margin:auto;
    border-radius:50%;
    background:rgba(212,175,55,0.15);

    display:flex;
    align-items:center;
    justify-content:center;
}

.processo-icone i{
    font-size:28px;
    color:#D4AF37;
}

.lista-processo{
    list-style:none;
    padding:0;
    margin-top:15px;
}

.lista-processo li{
    font-size:15px;
    margin-bottom:6px;
}

.processo-linha{
    font-size:35px;
    color:#D4AF37;
}



/* ----------------------------------------- */

/* Depoimentos */
.card-depoimento{
    background-color: white;
    border:none;
    border-radius:12px;
    box-shadow: 0 10px 15px rgba(0,0,0,0.08);
    padding:10px;
}

.card-depoimento p{
    font-style:italic;
}

.icone-card{
    position:absolute;
    top:15px;
    right:15px;
}

/* ----------------------------------------- */

/* Dúvidas */

.accordion-button{
    font-weight: 600;
    font-size: 18px;
    color: var(--black)
}

.accordion-button:not(.collapsed) {
    background-color: rgba(212,175,55,0.15); 
    color: var(--accent); 
    box-shadow: none;
}

.accordion-button:focus {
    box-shadow: none;
    border-color: rgba(212,175,55,0.15);
}

.accordion-item {
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    margin-bottom: 10px;
    overflow: hidden;
}

.accordion-button:hover {
    background-color: var(--light);
}

.accordion-button::after {
    filter: grayscale(1);
    transform: scale(1.2);
}


/* ----------------------------------------- */

/* Footer */
.footer{
    background-color:var(--primary-dark);
    color:white;
}

.footer h6{
    color:var(--light);
}

.footer p{
    color: var(--light)
}

.footer i{
    color:var(--accent)
}

.footer span{
    font-weight: 200;
    color:var(--light)
}

.lista-footer{
    list-style:none;
    padding:0;
    margin:0;
}

.lista-footer a{
    text-decoration:none;
    color:var(--light);
    transition:0.2s;
    font-weight: 200;
}

.lista-footer a:hover{
    color:var(--accent);
}

.footer .social-midia{
    font-weight:500;
    font-size:18px;
    transition: transform 0.2s ease;
    display:inline-block;
}

.footer .social-midia:hover{
    transform: scale(1.2);
}

.social-midia i{
    color:var(--accent);
}

.social-midia i:hover{
    color:var(--accent-hover);
}


@media (max-width: 991px){

    /* Menu de Navegação */
    .navbar-collapse{
        text-align: center;
    }

    .navbar-nav{
        align-items: center;
    }

    /* Banner */

    .section-banner{
        height: auto;
    }

    .banner-row{
        flex-direction: column;
    }

    .banner-img{
        width: 100%;
        height: 250px; /* altura de banner */
        overflow: hidden;
        border-radius: 12px;
    }

    .banner-img img{
        width: 100%;
        height: 100%;
        object-fit: cover; /* ESSENCIAL */
        object-position: center 35%;
    }

    .banner-itens{
        text-align: center;
        margin-top: 30px;
    }

    /* Sobre */

    .foto-container{
        margin-bottom: 40px;
    }

    #sobre{
        padding: 0 30px;
    }

}

@media (max-width: 767px){
    /* Tratamento */
    .processo-card{
        margin: 0px 30px;
        z-index:2;
    }

    .processo-linha{
        text-align: center;
        margin: 10px 0;
        transform:rotate(90deg);
    }

}

